$(document).ready(function(){
    // var table = $('#table-data').DataTable({
    //     processing:true,
    //     serverSide:true,
    //     language: {
    //         url:'/js/spanish.json'
    //     },
    //     ajax:{
    //         url:'/extranet/tramite/formatos?datatable=true'
    //     },
    //     columns:[
    //         {data:'Botones',name:'Botones'},
    //         {
    //             data:'Nombre',
    //             name:'Nombre',
    //             render: function(data, type, row, meta){
    //                 if(type === 'display'){
    //                     data = '<a href="/documentos/formatos'+row.Archivo+'" download="'+data+'">'+data+'</a>';
    //                 }
    //                 return data;
    //             }
    //         },
    //     ],
    //     rowCallback: function( row, data, index ) {
    //         $('td:eq(0)', row).html('<a href="/documentos/formatos'+data.Archivo+'" download="'+data.Nombre+'" class="btn btn-dark btn-sm col-xs-4"><i class="fa fa fa-download"></i>Descargar</a>');

    //     },
    //     order: [[ 1, 'asc' ]]
    // });
    $("#formatos_modal").on("click",function(){
        $('#modal-datatable-formatos').modal('show');
        // table.draw();
    });

	var oficinaSelect2 = $("#oficina").select2({
        allowClear: true,
        theme: 'bootstrap4',
        language: "es",
        placeholder: "Seleccione una Oficina",
        ajax: {
            url:base_url+"/extranet/select2/oficina",
            dataType: 'json',
            data: function (params) {
                return {
                    q: params.term
                };
            },
            processResults: function (data) {
                return {
                    results: data.items
                };
            },

          cache: true
        },
        minimumInputLength: -1
    }).on("select2:select", function (e) {
    	$("#oficina").removeClass('is-invalid')
        // $("#distrito").prop('disabled', false);
        // console.log(e.params.data);
    });
    var copiaSelect2 = $("#copia").select2({
        allowClear: true,
        theme: 'bootstrap4',
        language: "es",
        placeholder: "Seleccione una Oficina",
        ajax: {
            url:base_url+"/extranet/select2/oficina",
            dataType: 'json',
            data: function (params) {
                return {
                    q: params.term
                };
            },
            processResults: function (data) {
                return {
                    results: data.items
                };
            },

          cache: true
        },
        minimumInputLength: -1
    }).on("select2:select", function (e) {
    	$("#copia").removeClass('is-invalid')
        // $("#distrito").prop('disabled', false);
        // console.log(e.params.data);
    });

	var validator = $("#formulary").validate({
        rules:{
            'proceso':{
                required:true
            },
            'n_documento':{
                required:true,
            },
            'n_folio':{
                required:true,
                number:true
            },
            'asunto':{
                required:true
            },
            'archivo':{
                required:true,
                extension: "pdf"
                // filesize: 200000
            },
            'oficina':{
            	required:true
            }        
        },
        messages:{
            'proceso':{
                required:"Este campo es requerido."
            },
            'n_documento':{
                required:"Este campo es requerido.",
            },
            'n_folio':{
                required:"Este campo es requerido.",
                number:"Este campo solo se permite numeros."
            },
            'asunto':{
                required:"Este campo es requerido."
            },
            'archivo':{
                required:"Este campo es requerido.",
                extension: "Solo se permite archivos pdfs"
                // filesize: "Archivo debe pesar solo 26kbs"
            },
            'oficina':{
            	required:"Este campo es requerido."
            } 
        }
    });


    $("#guardar").on("click",function(){
    	var validar = validator.form();
    	if(validar == true){
    		// data = $("#formulary").serialize();
    		var data = new FormData($("#formulary")[0]);
    		// load.open();
    		$('.content').loader('show');
    		
    			$.ajax({
			        type: "POST",
			        dataType: "json",
			        url: base_url+"/extranet/expediente/interno",
			        cache: false,
			    	contentType: false,
			    	processData: false,
			        data:data,
			        success:function(data){

			          $('.content').loader('hide');
			          	if(data.status == true){

							$.confirm({
								title: 'Satisfactorio',
								content: data['message'],
								type: 'green',
								theme: 'modern',
								// closeIcon: true,
								icon: 'fas fa-check',
								buttons: {
								  confirm: {
								      text:"Aceptar",
								      btnClass: 'btn-green',
								      action: function(){
											$(location).attr('href', base_url+'/extranet/tramite');
								      }
								  }
								}
							});

				        }else{
				            $.confirm({
								title: 'Error!',
								content: data['message'],
								type: 'orange',
								theme: 'modern',
								closeIcon: true,
								icon: 'fas fa-exclamation-triangle',
								buttons: {
								  confirm: {
								      text:"Intentar de nuevo",
								      btnClass: 'btn-green',
								      action: function(){
								          // table.draw();
								      }
								  },
								  cancel:{
								      text:"Salir",
								      action:function(){
								         
								      }
								  }
				                }
				            });
				        }
			        },
			        error:function(result){

			        }
			    });
    		
    	}
    })
});